summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarol GrudziƄski <krlgrudzinski@gmail.com>2017-01-16 15:42:52 +0100
committerDavid Seifert <soap@gentoo.org>2017-01-16 18:53:10 +0100
commit9bcf3ad54a2292d1a4544a1abd4b79f5d6e6c1e4 (patch)
treebccedd47f9f429c553a7cb986394da2e60fc6452 /net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild
parentkde5.eclass: Raise RDEPEND on kde-frameworks/kf-env to 4 (diff)
downloadgentoo-9bcf3ad54a2292d1a4544a1abd4b79f5d6e6c1e4.tar.gz
gentoo-9bcf3ad54a2292d1a4544a1abd4b79f5d6e6c1e4.tar.bz2
gentoo-9bcf3ad54a2292d1a4544a1abd4b79f5d6e6c1e4.zip
net-im/skypeforlinux: Version bump to 1.16.0.1
* Rename obsolete ebuild to match version with upstream rpm Closes: https://github.com/gentoo/gentoo/pull/3505
Diffstat (limited to 'net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild')
-rw-r--r--net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild b/net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild
new file mode 100644
index 00000000000..1063c37616d
--- /dev/null
+++ b/net-im/skypeforlinux/skypeforlinux-1.16.0.1.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils rpm
+
+DESCRIPTION="P2P Internet Telephony (VoiceIP) client"
+HOMEPAGE="https://www.skype.com/"
+SRC_URI="https://repo.skype.com/rpm/stable/${PN}_${PV}-1.x86_64.rpm"
+
+LICENSE="Skype-TOS no-source-code"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pax_kernel"
+
+S="${WORKDIR}"
+QA_PREBUILT=opt/skypeforlinux/skypeforlinux
+RESTRICT="mirror bindist strip" #299368
+
+RDEPEND="dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ gnome-base/gconf:2
+ gnome-base/libgnome-keyring
+ media-libs/alsa-lib
+ media-libs/fontconfig:1.0
+ media-libs/freetype:2
+ net-print/cups
+ sys-apps/dbus
+ sys-devel/gcc[cxx]
+ sys-libs/glibc
+ virtual/ttf-fonts
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango"
+
+src_unpack() {
+ rpm_src_unpack ${A}
+}
+
+src_prepare() {
+ default
+ sed -e "s!^SKYPE_PATH=.*!SKYPE_PATH=${EPREFIX}/opt/skypeforlinux/skypeforlinux!" \
+ -i usr/bin/skypeforlinux || die
+ sed -e "s!^Exec=.*!Exec=${EPREFIX}/opt/bin/skypeforlinux!" \
+ -e "s!^Categories=.*!Categories=Network;InstantMessaging;Telephony;!" \
+ -i usr/share/applications/skypeforlinux.desktop || die
+}
+
+src_install() {
+ insinto /opt/skypeforlinux/locales
+ doins usr/share/skypeforlinux/locales/*.pak
+
+ insinto /opt/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release
+ doins usr/share/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release/keytar.node
+
+ insinto /opt/skypeforlinux/resources
+ doins usr/share/skypeforlinux/resources/*.asar
+
+ insinto /opt/skypeforlinux
+ doins usr/share/skypeforlinux/*.pak
+ doins usr/share/skypeforlinux/*.bin
+ doins usr/share/skypeforlinux/*.dat
+ doins usr/share/skypeforlinux/version
+ exeinto /opt/skypeforlinux
+ doexe usr/share/skypeforlinux/*.so
+ doexe usr/share/skypeforlinux/skypeforlinux
+
+ into /opt
+ dobin usr/bin/skypeforlinux
+
+ dodoc -r usr/share/doc/skypeforlinux/.
+
+ doicon usr/share/pixmaps/skypeforlinux.png
+
+ local res
+ for res in 16 32 256 512; do
+ newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/skypeforlinux.png skypeforlinux.png
+ done
+
+ domenu usr/share/applications/skypeforlinux.desktop
+
+ if use pax_kernel; then
+ paxctl -Cm "${ED%/}"/opt/skypeforlinux/skypeforlinux || die
+ eqawarn "You have set USE=pax_kernel meaning that you intend to run"
+ eqawarn "${PN} under a PaX enabled kernel. To do so, we must modify"
+ eqawarn "the ${PN} binary itself and this *may* lead to breakage! If"
+ eqawarn "you suspect that ${PN} is being broken by this modification,"
+ eqawarn "please open a bug."
+ fi
+}
+
+pkg_postinst() {
+ einfo "See https://support.skype.com/en/faq/FA34656"
+ einfo "for more information about Skype for Linux Alpha."
+}